import Joi from 'joi';
export declare enum AppDomain {
    MERCHANT = "MERCHANT",
    CONSUMER = "CONSUMER",
    ADMIN = "ADMIN",
    DEVICE = "DEVICE"
}
export declare enum TokenKind {
    TOKEN = "TOKEN",
    EXTENDED_TOKEN = "EXTENDED_TOKEN",
    REFRESH_TOKEN = "REFRESH_TOKEN",
    REFRESH_EXTENDED_TOKEN = "REFRESH_EXTENDED_TOKEN"
}
export declare const _id: Joi.NumberSchema<number>;
export declare const _idString: Joi.NumberSchema<number>;
export declare const _string: Joi.StringSchema<string>;
export declare const _boolean: Joi.BooleanSchema<boolean>;
export declare const _object: Joi.ObjectSchema<any>;
export declare const _modelInclude: Joi.AlternativesSchema<any>;
export declare const _userLogin: Joi.StringSchema<string>;
export declare const _tokenKind: Joi.StringSchema<string>;
export declare const _localeCode: Joi.StringSchema<string>;
export declare const _appDomain: Joi.StringSchema<string>;
export declare const _ruleAction: Joi.StringSchema<string>;
export declare const _ruleSubject: Joi.StringSchema<string>;
export declare const _ruleFields: Joi.StringSchema<string>;
export declare const _ruleConditions: Joi.ObjectSchema<any>;
export declare const _ruleInverted: Joi.BooleanSchema<boolean>;
export declare const _rule: Joi.ObjectSchema<any>;
export declare const _rules: Joi.ArraySchema<any[]>;
export declare const _roleModelSelect: Joi.ObjectSchema<any>;
export declare const _roleModelWhereUnique: Joi.ObjectSchema<any>;
export declare const _roleModelWhere: Joi.ArraySchema<any[]>;
export declare const _roleModelFindUnique: Joi.ObjectSchema<any>;
export declare const _roleModelFindMany: Joi.ObjectSchema<any>;
export declare const _roleModelUpdate: Joi.ObjectSchema<any>;
export declare const _roleModelUpdateMany: Joi.ObjectSchema<any>;
export declare const _roleModelDelete: Joi.ObjectSchema<any>;
export declare const _roleModelDeleteMany: Joi.ObjectSchema<any>;
export declare const _roleModelCreate: Joi.ObjectSchema<any>;
export declare const _roleModelCreateMany: Joi.ObjectSchema<any>;
export declare const _roleModel: Joi.ObjectSchema<any>;
export declare const _roleMetadata: Joi.ObjectSchema<any>;
export declare const _rolesMetadata: Joi.ArraySchema<any[]>;
